<?php
/*************************************************************************/
/* Smart Extranet  2004-2010. All right reserved.www.smart-extranet.com */
/*************************************************************************/


//ini_set('error_reporting', E_ALL);
ini_set('error_reporting', E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR);

session_start();

#smarty
require '../_php/smarty/libs/Smarty.class.php';

#realpath of www directory
$www_path = str_replace("\\", '/', realpath("../"));

//$xml_path = $www_path;
//$xml_dest = '../incoming/ftp_rep.xml';

#smarty settings
$smarty = new Smarty;

$smarty->compile_check = true;
$smarty->debugging = false;

$smarty->compile_dir = "../_cache/";
$smarty->template_dir = "../_templates/";

$dir_mobile = getcwd();

#init error message
$error_message = '';
$path_mobile = "../";
$js_only = false;
$nav_path = array();
$last="";
if(isset($_GET["space"]))
{
	$_REQUEST["ext_name"] = $_GET["space"];
}


include("../_config/config.inc.php");
include("../_config/obconfig.inc.php");
include("../_lang/lang.inc.php");
include("../_include/connect.inc.php");
include("../_include/functions.inc.php");
include("../_include/error.inc.php");
include("../_include/extranet_data.inc.php");


$smarty->debugging_ctrl = 'URL';


$smarty->assign('mob_log_link',get_option("mob_log_link"));
$smarty->assign('mob_welcome',get_option("mob_welcome"));
$smarty->assign('mob_newness',get_option("mob_newness"));
$smarty->assign('mob_folder',get_option("mob_folder"));
$smarty->assign('mob_search',get_option("mob_search"));
$smarty->assign('mob_import_notice',get_option("mob_import_notice"));
$smarty->assign('code_google',get_option("code_google"));

$smarty->assign('ext_name', $ext_name);
$smarty->assign('ext_name_enc', $ext_name_enc);
$smarty->assign('ext_logo', $ext_logo);
$smarty->assign('SITE_ROOT', $SITE_ROOT);
$smarty->assign('COPYRIGHT_MENTION_1', $COPYRIGHT_MENTION_1);
if($ext_logo)
{
	$smarty->assign('ext_logo_file', $ext_logo_file);	
	$smarty->assign('ext_logo_bdcolor', $ext_logo_bdcolor);	
	$smarty->assign('ext_logo_bdsize', $ext_logo_bdsize);	
	$smarty->assign('ext_logo_bgcolor', $ext_logo_bgcolor);	
}
$smarty->assign('PATH', "../");

require("../_include/auth.inc.php");

#autentification
if(isset($_POST['login'])){
	if($bad_details){
		$error = 'error';
		$user = $_POST["user"];
		$smarty->assign('user',$user);
		$smarty->assign('error',$error);
		$nb_error_login = log_connexion(0,$user,"LOGIN_FAILED");
		$smarty->assign('nb_error_login',$nb_error_login);
		if ($nb_error_login > 2)
		{
			$try_again_after = get_last_login_failed($user) + 1800;
			$try_again_after = date('H:i', $try_again_after);
			$current_time = date('H:i', time());
			$smarty->assign('try_again_after',$try_again_after);
			$smarty->assign('current_time',$current_time);
		}
		
	}
	else
	{
		#TODO LOGIN_SUCCESS_MOBILE
		if ($COMMON_LOGIN_PAGE && !$_REQUEST["ext_name"]) {
			$_SESSION['log_session'] = log_connexion($_SESSION['user_id'],$_SESSION['user_name'],"LOGIN_SUCCESS_MOBILE");
			//header("Location: ".give_my_favorite_extranet($_SESSION['user_id']));
		}
		else
		{
			$_SESSION['log_session'] = log_connexion($_SESSION['user_id'],$_SESSION['user_name'],"LOGIN_SUCCESS_MOBILE");
		}
		
	}
}


$page = isset($_GET["page"])?$_GET["page"]:"";





if($AUTH==false)
{


//}


	if($page == "lost")
	{
		require("../_php/mobile/lost.php");
	}
	else
	{
		$email = isset($_GET["email"])?$_GET["email"]:(isset($_POST["user"])?$_POST["user"]:"");
		$smarty->assign('email', $email);
		$smarty->display("mobile/header_mobile.tpl");
		$smarty->display("mobile/header.tpl");
		$smarty->display("mobile/login.tpl");
		$smarty->display("mobile/footer.tpl");
	}
}
else
{
		$incoming_files = 0;
		maj_bdd_via_ftp($ext_id, $ext_name,0,0,"../");
		//echo getcwd()."<br/>";
		//chdir("../");
		refresh_needed($ext_id, $ext_name,'../');
		//echo getcwd()."<br/>";
		//chdir("mobile");
		//echo getcwd()."<br/>";
		if ($incoming_files > 0){
			$debut = dlookup("MAX(id)","smart_document","") + 1;
			$query_ext = "SELECT id, name
								FROM smart_extranet WHERE status = 'open'
 								AND id =".$ext_id;	
			$result_ext = mysql_query($query_ext);
			while ($row_ext = mysql_fetch_array($result_ext)){
				$ext_name = urlencode($row_ext["name"]);
				
				$incoming_files = 0;
				//chdir("../");
				refresh_needed($ext_id, $ext_name,'../');
				//chdir("mobile");
				if($incoming_files > 0)
				{
					//chdir("../");
					refresh($ext_id, $ext_name,'../');
					//chdir("mobile");
				}
			}
		}
		$smarty->assign('incoming_files', $incoming_files);	
	
	chdir($dir_mobile);
	
	$smarty->assign('name', $_SESSION['user_name']);
	
	$path = isset($_GET["path"])?$_GET["path"]:"";
	$f_id = isset($_GET["f_id"])?$_GET["f_id"]:0;
	if($f_id != 0)
	{
		require("../_php/mobile/file.php");
	}
	elseif($path != "")
	{
		require("../_php/mobile/path.php");
	}
	elseif($page == "")
	{
		require("../_php/mobile/home.php");
	}
	else
	{
		//echo $page;
		require("../_php/mobile/".$page.".php");
	}
}


?>