<?php
/*************************************************************************/
/* Smart Extranet  2004-2010. All right reserved.www.smart-extranet.com */
/*************************************************************************/

//ini_set('error_reporting', E_ALL);
ini_set('error_reporting', E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR);
session_start();

#smarty
require '_php/smarty/libs/Smarty.class.php';

#realpath of www directory
$www_path = str_replace("\\", '/', realpath("../"));

#smarty settings
$smarty = new Smarty;

$smarty->compile_check = true;
$smarty->debugging = false;

$smarty->compile_dir = "_cache/";
$smarty->template_dir = "_templates/";

#init error message
$error_message = '';

include("_config/config.inc.php");
include("_config/obconfig.inc.php");
include("_config/trialconfig.inc.php");
include("_include/connect.inc.php");
include("_include/functions.inc.php");
include("_include/extranet_data.inc.php");
include("_include/error.inc.php");
include("_lang/lang.inc.php");




#error array
$error = array();

#init smarty
$SMARTY_PATH = calculate_smarty_path();

$smarty->assign('PATH', $SMARTY_PATH);
$smarty->assign('TRIAL_VERSION', $T_V);
$smarty->assign('NB_INSTALL', $NB_INSTALL);
$smarty->assign('URL_REWRITING',get_option("url_rewriting"));
$smarty->assign('MAX_EXTRANETS', $ANIM_FLASH_4);	
$smarty->assign('SITE_ROOT', $SITE_ROOT);	

if(file_exists("update.php"))
{
	$smarty->assign('update_sql', true);	
}
else
{
	$smarty->assign('update_sql', false);			
}		

$soft_release  = get_version();

$smarty->assign('soft_release',$soft_release);
#template mail
$template_mail = array();
$template_mail[1]['name'] = "new_user.txt"; 
$template_mail[1]['help'] = $_0100010_glob_helpmail1;
$template_mail[2]['name'] = "forgot_pass.txt"; 
$template_mail[2]['help'] = $_0100011_glob_helpmail2;
$template_mail[3]['name'] = "document_notification.txt"; 
$template_mail[3]['help'] = $_0100012_glob_helpmail3;
$template_mail[4]['name'] = "comment_notification.txt"; 
$template_mail[4]['help'] = $_0100013_glob_helpmail4;

require("_include/auth.inc.php");

$name_section['social'] = $_0100815_comment_skype;
$name_section['profil'] = $_0100793_profil_title;
$name_section['statistics'] = $_0100014_title_stat;
$name_section['company'] = $_0100015_comp_info;
$name_section['expeditor'] = $_0100708_exp_setting;
$name_section['function'] = $_0100016_default_set;
$name_section['timezone'] = $_0100017_date_format;
$name_section['c_rights'] = $_0100018_clients_right;
$name_section['banners'] = $_0100019_extranet_banners;
$name_section['thumbnails'] = $_0100020_thumb;
$name_section['loginpage'] = $_0100820_perso_login_page;
$name_section['terms'] = $_0100021_terms_use;
$name_section['mail1'] = $_0100022_mail1;
$name_section['mail2'] = $_0100023_mail2;
$name_section['mail3'] = $_0100024_mail3;
$name_section['mail4'] = $_0100025_mail4;
$name_section['quota'] = $_0100845_space_files;
$name_section['url_rewrite'] = $_0100844_url_rewriting;
$name_section['ssl_mode'] = $_0100515_ssl_mode;
$name_section['mu_java'] = $_0100843_large_file;
$name_section['backup'] = $_0100846_backup_service;
$name_section['update'] = $_0100710_tit_update;
$name_section['licence'] = $_0100622_lic_update;
$name_section['mobile'] = $_0100854_mobile_site;
$name_section['gmap'] = $_0100867_geo_google;
$template = "";


if($AUTH==true)
{
	$settings = htmlspecialchars(isset($_GET["settings"])?$_GET["settings"]:"menu");

	//autorisation
	if($NB_INSTALL == 4)
	{
		if($settings == 'mobile' OR $settings == 'profil' OR $settings == 'terms' OR $settings == 'mail1' OR $settings == 'mail2' OR $settings == 'mail3' OR $settings == 'mail4' OR $settings == 'thumbnails' OR $settings == 'banners' OR $settings == 'c_rights' OR $settings == 'banners' OR  $settings == 'social' OR $settings == 'mu_java' OR $settings == 'ssl_mode' OR $settings == 'backup')
		{
			$settings = "menu";
		}
	}
	elseif($NB_INSTALL == 1 && $ANIM_FLASH_4 < 30 && $ANIM_FLASH_4 > 0)
	{
		if($settings == 'mobile' OR settings == 'gmap' OR settings == 'profil' OR $settings == 'terms' OR $settings == 'mu_java')
		{
			$settings = "menu";
		}
	}
	elseif($NB_INSTALL == 1 && $ANIM_FLASH_4 > 0)
	{
		if($settings == 'ssl_mode' OR $settings == 'backup')
		{
			$settings = "menu";
		}
	}
	elseif($NB_INSTALL == 2 && $NB_INSTALL == 3)
	{
		if($settings == 'update' OR $settings == 'licence')
		{
			$settings = "menu";
		}
	}
	
	//delete

	if(isset($_GET['delete']))
	{
		$file_ = htmlspecialchars(isset($_GET["delete"])?$_GET["delete"]:"");
		
		if ($settings == "banners")
		{
			chmod("_assets/banners", 0777);
			unlink('_assets/banners/'.$file_);
			chmod("_assets/banners", 0755);
		}
		
		if ($settings == "thumbnails")
		{
			chmod("_assets/media_files", 0777);
			unlink('_assets/media_files/'.$file_);
			chmod("_assets/media_files", 0755);
			$query = "UPDATE smart_user SET media_link = '' WHERE media_link = '" . $file_ . "'";
			mysql_query($query);			
		}
	}
	
	//attrib thumbnails
	if(isset($_GET['tn']))
	{
		$tn = htmlspecialchars(isset($_GET["tn"])?$_GET["tn"]:"");
		$owner = htmlspecialchars(isset($_POST["who"])?$_POST["who"]:0);

		$query = "UPDATE smart_user SET media_link = '' WHERE media_link = '" . $tn . "'";
		mysql_query($query);		
		$query = "UPDATE smart_user SET media_link = '" . $tn . "' WHERE id = " . $owner;
		mysql_query($query);
	}
	
	//post
$success= false;	
	
	
	#Update Sql______________________________________________________________
	if($_GET['update_sql'] == 'yes' && file_exists("update.php"))
	{
		include("update.php"); 
		$MASTER_ID = get_option("master_id");
		fopen("http://www.licence-smart-extranet.com/register.php?email=".$POSTMASTER_EMAIL."&type=File_Upgrade&url=".$SITE_ROOT."&key=NA&licence=".$SERIAL_NUMBER."&ip=".get_ip()."&plus=".$MASTER_ID,"r");
		unlink("update.php");
		$new_version = get_option("version");
		$smarty->assign('new_version', $new_version);
	}	
	
	if(isset($_POST['submit']))
	{
		#licence
		if($settings == "licence")
		{
			$ID_LICENCE = $_POST['serial_number'];	
			$nb_error = 0;$error="";
			
			if (strlen($ID_LICENCE) > 0)
			{
				include("_include/licence.inc.php");
				$infos_key = activate_key($ID_LICENCE);
				if($infos_key['msg'] != 'ok')
				{
					#erreur dans cl
					$nb_error++;
					$error .= $_0100614_key_wrong;	
					$smarty->assign('error',$error);					
				}
				else
				{
					if(strpos($infos_key['url'],$_SERVER['HTTP_HOST']) === false)
					{
						#erreur URL
						$nb_error++;
						$error .= $_0100620_err_realurl;	

						$smarty->assign('error',$error);
					}
					else
					{
						if ($SSL == true)
							{
								$inifile = '_config/config.inc.php';
								set_infile ( $inifile , '$SITE_ROOT',"\"https://".$infos_key['url']."/\"",";" );
								set_infile ( $inifile , '$TIME_MINUTE',link_licence($infos_key['url']),";" );
							}
							else
							{
								set_infile ( $inifile , '$SITE_ROOT',"\"http://".$infos_key['url']."/\"",";" );
								set_infile ( $inifile , '$TIME_MINUTE',link_licence($infos_key['url']),";" );
							}
							$url = $infos_key['url'];

							fopen("http://www.licence-smart-extranet.com/register.php?email=".$POSTMASTER_EMAIL."&type=License_Upgrade&url=".$url."&key=NA&licence=".$SERIAL_NUMBER."&ip=".get_ip(),"r");
					}
				}
				if($nb_error > 0)
				{
					$smarty->assign('error',$error);
				}
				else
				{
					switch ($infos_key['licence_use']) 
					{
						case 1: #LICENCE_USE = SOFTWARE
			
							#Trial Version
							set_infile ( $inifile , '$T_V',"false",";" );
							#Common login page
							set_infile ( $inifile , '$COMMON_LOGIN_PAGE',"true",";" );
							#Print Banner
							set_infile ( $inifile , '$PRINT_BANNER',1,";" );
							$inifile = '_config/obconfig.inc.php';
							set_infile ( $inifile , '$ANIM_FLASH_6',0,";" );
							#Max extranets
							set_infile ( $inifile , '$ANIM_FLASH_4',$infos_key['extranet'],";" );
							break;
							
						case 2: #LICENCE_USE = Trial SAAS
						
							#Trial Version
							set_infile ( $inifile , '$T_V',"true",";" );
							#Common login page
							set_infile ( $inifile , '$COMMON_LOGIN_PAGE',"false",";" );
							#Print Banner
							set_infile ( $inifile , '$PRINT_BANNER',0,";" );
							set_infile ( $inifile , '$T_D_S',$T_D_S*1024,";" );
							$inifile = '_config/obconfig.inc.php';
							set_infile ( $inifile , '$ANIM_FLASH_6',$ANIM_FLASH_6,";" );
							#Max extranets
							set_infile ( $inifile , '$ANIM_FLASH_4',0,";" );
							break;
						
						case 3: #LICENCE_USE = SAAS DEDICATED
						
							#Trial Version
							set_infile ( $inifile , '$T_V',"false",";" );
							#Common login page
							set_infile ( $inifile , '$COMMON_LOGIN_PAGE',"true",";" );
							#Print Banner
							set_infile ( $inifile , '$PRINT_BANNER',1,";" );
							$inifile = '_config/obconfig.inc.php';
							set_infile ( $inifile , '$LICENCE_DATE_EXPIRATION',"\"".$LICENCE_DATE_EXPIRATION."\"",";" );
							set_infile ( $inifile , '$ANIM_FLASH_6',$ANIM_FLASH_6,";" );
							set_infile ( $inifile , '$ANIM_FLASH_4',$ANIM_FLASH_4,";" );
							break;
						
						case 4: #LICENCE_USE = Freeware
						
							#Trial Version
							set_infile ( $inifile , '$T_V',"false",";" );
							#Common login page
							set_infile ( $inifile , '$COMMON_LOGIN_PAGE',"true",";" );
							#Print Banner
							set_infile ( $inifile , '$PRINT_BANNER',1,";" );
							$inifile = '_config/obconfig.inc.php';
							#Max extranets
							set_infile ( $inifile , '$ANIM_FLASH_4',$infos_key['extranet'],";" );
							break;
					}
					#licence use
					$inifile = '_config/config.inc.php';
					set_infile ( $inifile , '$NB_INSTALL',$infos_key['licence_use'],";" );
					$inifile = '_config/obconfig.inc.php';
					set_infile ( $inifile , '$SERIAL_NUMBER',"\"".$infos_key['licence']."\"",";" );
					$success = true;
				}
			}			
			
			
			
		}		
	
		#backup
		if($settings == "backup")
		{
			$MAINTAIN_EMAIL = $_POST['maintenance_email'];
			$nb_error = 0;$error="";
			
			if (validate_email($MAINTAIN_EMAIL) == false)
			{
				$error .= $_0100443_email_invalid."<br />";
				$nb_error++;
			}	
			
			if($nb_error > 0)
			{
				$smarty->assign('error',$error);
			}
			else
			{
				$inifile = '_config/config.inc.php';
				set_infile ( $inifile , '$MAINTAIN_EMAIL',"'".$MAINTAIN_EMAIL."'",";" );
				$success = true;
			}
			
		}
	
		#quota
		if($settings == "quota")
		{
			$D_S = $_POST['max_disk_space'];
			$MAX_SIZE_UPLOAD = $_POST['max_size_upload'];
			
			$nb_error = 0;$error="";
			
			if (strlen($D_S) == 0)
				{
					$nb_error++;
					$error .= $_0100046_err_serverdisk_empty;
				}	
				else
				{
					if(!is_numeric($D_S))
					{
						$nb_error++;
						$error .= $_0100047_err_serverdisk_notnum;				
					}
					else
					{
						if ($D_S == 0)
						{
							$nb_error++;
							$error .= $_0100046_err_serverdisk_empty;
						}
					}
				}

				if (strlen($MAX_SIZE_UPLOAD) == 0)
				{
					$nb_error++;
					$error .= $_0100048_err_maxupload_empty;
				}	
				else
				{
					if(!is_numeric($MAX_SIZE_UPLOAD))
					{
						$nb_error++;
						$error .= $_0100049_err_maxsize_notnum;				
					}
					else
					{
						/* if ($MAX_SIZE_UPLOAD > 100)
						{
							$nb_error++;
							$error .= $_0100050_err_maxsize_over100;
						} */
						if ($MAX_SIZE_UPLOAD <= 0)
						{
							$nb_error++;
							$error .= $_0100048_err_maxupload_empty;
						}
					}			
				}
				
				if($nb_error > 0)
				{
					$smarty->assign('error',$error);
				}
				else
				{
					$inifile = '_config/config.inc.php';
					set_infile ( $inifile , '$D_S',$D_S * 1024,";" );
					set_infile ( $inifile , '$MAX_SIZE_UPLOAD',$MAX_SIZE_UPLOAD,";" );
					$success = true;
				}
				
				
		}
	
		#SSL
		if($settings == "ssl_mode")
		{
			$SSL = $_POST['ssl'];
			$SSL_INFO = $_POST['ssl_info'];	
			
			$nb_error = 0;$error="";
			
			if (strlen($SSL_INFO) == 0 && $SSL == 'true')
			{
				$nb_error++;
				$error .= $_0100051_sslinfo_empty;			
			}
			
			if($nb_error > 0)
			{
				$smarty->assign('error',$error);
			}
			else
			{
				$inifile = '_config/config.inc.php';
				set_infile ( $inifile , '$SSL', $SSL,";" );
				#ssl informations
				if ($SSL == 'true')
				{
					//chmod("../www", 0777);
					unlink('_assets/ssl_info.txt');
					$file_ = fopen('_assets/ssl_info.txt', 'a+');
					fseek($file_, 0);
					fputs($file_,stripslashes($SSL_INFO)); 
					fclose($file_);
					//chmod("../www", 0755);
					
					if (substr($SITE_ROOT,0,7) == 'http://')
					{
						$SITE_ROOT = str_replace('http://', 'https://', $SITE_ROOT);
						set_infile ( $inifile , '$SITE_ROOT',"\"".$SITE_ROOT."\"",";" );
					}	
				}
				else
				{
					if (substr($SITE_ROOT,0,8) == 'https://')
					{
						$SITE_ROOT = str_replace('https://', 'http://', $SITE_ROOT);
						set_infile ( $inifile , '$SITE_ROOT',"\"".$SITE_ROOT."\"",";" );
					}					
				}
				$success = true;
			}			
			
		}
		if($settings == "mu_java")
		{
			/* $ACTIVE_MU = trim($_POST['active']);
			$FTP_HOST = trim($_POST['host']);
			$FTP_USER = trim($_POST['user']);
			$FTP_PWD = trim($_POST['pwd']);
			$nb_error = 0;
			$error = "";
			
			$smarty->assign('ACTIVE_MU',$ACTIVE_MU);
			$smarty->assign('FTP_HOST',$FTP_HOST);
			$smarty->assign('FTP_USER',$FTP_USER);
			$smarty->assign('FTP_PWD',$FTP_PWD);
			
			if($ACTIVE_MU == 1)
			{
				if (strlen($FTP_HOST) == 0)
				{
					$nb_error++;
					$error .= $_0100646_err_host."<br />";			
				}	
				if (strlen($FTP_USER) == 0)
				{
					$nb_error++;
					$error .= $_0100647_err_account."<br />";			
				}		
				if (strlen($FTP_PWD) == 0)
				{
					$nb_error++;
					$error .= $_0100648_err_pwd."<br />";			
				}				
				if ($nb_error == 0)
				{
					$inifile = '_config/config.inc.php';
					set_infile ( $inifile , '$ACTIVE_MU', $ACTIVE_MU,";" );
					set_infile ( $inifile , '$FTP_HOST', "'".$FTP_HOST."'",";" );
					set_infile ( $inifile , '$FTP_USER', "'".$FTP_USER."'",";" );
					set_infile ( $inifile , '$FTP_PWD', "'".$FTP_PWD."'",";" );
					$success = true;
				}
				else
				{				
					$smarty->assign('error',$error);
				}
			} */
		}
		
		if($settings == "mobile")
		{
			$mob_log_link = isset($_POST["mob_log_link"])?$_POST["mob_log_link"]:0;
			$mob_welcome = isset($_POST["mob_welcome"])?$_POST["mob_welcome"]:0;
			$mob_newness = isset($_POST["mob_newness"])?$_POST["mob_newness"]:0;
			$mob_folder = isset($_POST["mob_folder"])?$_POST["mob_folder"]:0;
			$mob_search = isset($_POST["mob_search"])?$_POST["mob_search"]:0;
			$mob_import_notice = isset($_POST["mob_import_notice"])?$_POST["mob_import_notice"]:0;
			
			set_option("mob_log_link",$mob_log_link);
			set_option("mob_welcome",$mob_welcome);
			set_option("mob_newness",$mob_newness);
			set_option("mob_folder",$mob_folder);
			set_option("mob_search",$mob_search);
			set_option("mob_import_notice",$mob_import_notice);
			
		}
		
		if($settings == "loginpage")
		{
			$img_pad = htmlspecialchars(isset($_POST["img_pad"])?$_POST["img_pad"]:"");
			$back_img_pad = htmlspecialchars(isset($_POST["back_img_pad"])?$_POST["back_img_pad"]:"");
			//$back_img_align_pad = htmlspecialchars(isset($_POST["back_img_align_pad"])?$_POST["back_img_align_pad"]:"");
			$back_color_pad = htmlspecialchars(isset($_POST["back_color_pad"])?$_POST["back_color_pad"]:"");
			$superimposed_img_pad = htmlspecialchars(isset($_POST["superimposed_img_pad"])?$_POST["superimposed_img_pad"]:"");
			$copyright_mention_1 = stripslashes(html_entity_decode(isset($_POST["copyright_mention_1"])?$_POST["copyright_mention_1"]:""));
			
			set_option("img_pad",$img_pad);
			set_option("back_img_pad",$back_img_pad);
			//set_option("back_img_align_pad",$back_img_align_pad);
			set_option("back_color_pad",$back_color_pad);
			set_option("superimposed_img_pad",$superimposed_img_pad);
			
			chmod("_config", 0777);
			$inifile = '_config/obconfig.inc.php';
			set_infile ( $inifile , '$COPYRIGHT_MENTION_1', "'".$copyright_mention_1."'",";" );
			chmod("_config", 0755);
			$success = true;
		}
		
		if($settings == "social")
		{			
			#user comment 
			$USER_COMMENTS = htmlspecialchars(isset($_POST["cofc"])?$_POST["cofc"]:"");
			$ACTIVATE_SKYPE = htmlspecialchars(isset($_POST["skype"])?$_POST["skype"]:"");
			#skype
			set_option("ACTIVATE_SKYPE",$ACTIVATE_SKYPE);
			
			chmod("_config", 0777);
			$inifile = '_config/config.inc.php';
			set_infile ( $inifile , '$USER_COMMENTS', $USER_COMMENTS,";" );
			chmod("_config", 0755);
			
			$success = true;
		}
	
		if($settings == "gmap")
		{			

			$code_google = htmlspecialchars(isset($_POST["code_google"])?$_POST["code_google"]:"");
			set_option("code_google",$code_google);
			
			$success = true;
		}
	
		if ($settings == "profil")
		{		
			set_option("activate_profil",isset($_POST["profil"])?$_POST["profil"]:0);
		}
		
		if ($settings == "company")
		{
			#For modify company name from banner company name click
			$return = htmlspecialchars(isset($_GET["return"])?$_GET["return"]:0);
			$smarty->assign('return', $return);
			
			$COMPANY_NAME = htmlspecialchars(isset($_POST["company_name"])?$_POST["company_name"]:"");
			$PRINT_BANNER = htmlspecialchars(isset($_POST["print"])?$_POST["print"]:"");
			

			$company_name_error = 0;
			$msg_error = "";
			
			if (strlen($COMPANY_NAME) == 0)
			{
				$company_name_error++;
				$msg_error .= $_0100447_cie_name."<br />";
			}			

			
			$total = $company_name_error;
			
			if ($total == 0)
			{
			chmod("_config", 0777);
			$inifile = '_config/config.inc.php';
			set_infile ( $inifile , '$COMPANY_NAME', "'".$COMPANY_NAME."'",";" );
			set_infile ( $inifile , '$PRINT_BANNER', $PRINT_BANNER,";" );
			chmod("_config", 0755);
			$success = true;
			if ($return == 1)
			{
				header("location: index.php");
			}
			}
			else
			{
				$smarty->assign('error',$msg_error);
			}
		}

	if ($settings == "expeditor")
		{
			#For modify company name from banner company name click
			$return = htmlspecialchars(isset($_GET["return"])?$_GET["return"]:0);
			$smarty->assign('return', $return);
			
			$POSTMASTER_NAME = htmlspecialchars(isset($_POST["company_name_email"])?$_POST["company_name_email"]:"");
			$POSTMASTER_EMAIL = htmlspecialchars(isset($_POST["company_email"])?$_POST["company_email"]:"");

			$company_name_email_error = 0;
			$company_email_error = 0;
			$msg_error = "";

			if (strlen($POSTMASTER_NAME) == 0)
			{
				$company_name_email_error++;
				$msg_error .= $_0100449_cie_name_email."<br />";
			}
			
			if (strlen($POSTMASTER_EMAIL) == 0)
			{
				$company_email_error++;
				$msg_error .= $_0100448_cie_email."<br />";
			}
			if (validate_email($POSTMASTER_EMAIL) == false)
			{
				$msg_error .= $_0100450_cie_email_invalid."<br />";
				$company_email_error++;
			}
			
			$total = $company_name_email_error + $company_email_error;
			
			if ($total == 0)
			{
			chmod("_config", 0777);
			$inifile = '_config/config.inc.php';
			set_infile ( $inifile , '$POSTMASTER_NAME', "\"".$POSTMASTER_NAME."\"",";" );
			set_infile ( $inifile , '$POSTMASTER_EMAIL', "\"".$POSTMASTER_EMAIL."\"",";" );
			chmod("_config", 0755);
			$success = true;
			if ($return == 1)
			{
				header("location: index.php");
			}
			}
			else
			{
				$smarty->assign('error',$msg_error);
			}
		}		
		
		if ($settings == "function")
		{
			

			$FIRST_DIR = htmlspecialchars(isset($_POST["fd"])?$_POST["fd"]:"Directory1");
			if (strlen($FIRST_DIR) == 0)
			{
				$FIRST_DIR = "Directory1";
			}
			chmod("_config", 0777);
			$inifile = '_config/config.inc.php';
			set_infile ( $inifile , '$FIRST_DIR', "\"".$FIRST_DIR."\"",";" );
			chmod("_config", 0755);


			#maine extranet
			$main_extranet = htmlspecialchars(isset($_POST["main_extranet"])?$_POST["main_extranet"]:"");
						
			if (strlen($main_extranet) > 0)
				{
					$query_default = "UPDATE smart_extranet
										SET def='0'";
					mysql_query($query_default);
					$query_default = "UPDATE smart_extranet
										SET def='1' WHERE id = " . $main_extranet;
					mysql_query($query_default);
					
				}
				
			$success = true;
		}
		
		if ($settings == "timezone") 
		{
			$LANGUAGE_ID = htmlspecialchars(isset($_POST["language_id"])?$_POST["language_id"]:"");
			$DATE_FORMAT = htmlspecialchars(isset($_POST["date_format"])?$_POST["date_format"]:"");
			
			$TIME_FORMAT = htmlspecialchars(isset($_POST["time_format"])?$_POST["time_format"]:"");
			$TIME_ZONE = htmlspecialchars(isset($_POST["timezone"])?$_POST["timezone"]:"");
			$DAYLIGHT_SAVING = htmlspecialchars(isset($_POST["daylight"])?$_POST["daylight"]:"");
			set_option("date_format", $DATE_FORMAT);
			set_option("time_format", $TIME_FORMAT);
			chmod("_config", 0777);
			$inifile = '_config/config.inc.php';
			set_infile ( $inifile , '$TIME_ZONE', $TIME_ZONE,";" );
			set_infile ( $inifile , '$DAYLIGHT_SAVING', $DAYLIGHT_SAVING,";" );
			set_infile ( $inifile , '$LANGUAGE_ID',"\"".$LANGUAGE_ID."\"",";" );
			chmod("_config", 0755);
			$success = true;			
		}
		
		if ($settings == "c_rights")
		{
			$USER_ADD_DOC = htmlspecialchars(isset($_POST["adofc"])?$_POST["adofc"]:"");
			$DIRECT_LINK = htmlspecialchars(isset($_POST["ddl_direct_link"])?$_POST["ddl_direct_link"]:"");
			$DIRECT_LINK_LIFE = htmlspecialchars(isset($_POST["ddl_direct_link_time"])?$_POST["ddl_direct_link_time"]:"");
			$pwd_type = htmlspecialchars(isset($_POST["pwd_type"])?$_POST["pwd_type"]:"");
			$msg_error = "";
			
			set_option("pwd_type", $pwd_type);
			chmod("_config", 0777);
			$inifile = '_config/config.inc.php';
			set_infile ( $inifile , '$USER_ADD_DOC', "'".$USER_ADD_DOC."'",";" );
			set_infile ( $inifile , '$USER_COMMENTS', $USER_COMMENTS,";" );
			set_infile ( $inifile , '$DIRECT_LINK', $DIRECT_LINK,";" );
			set_infile ( $inifile , '$DIRECT_LINK_LIFE', $DIRECT_LINK_LIFE,";" );
			chmod("_config", 0755);	
			$success = true;			

		}	
		
		if ($settings == "terms")
		{
			$terms = htmlspecialchars(isset($_POST["terms"])?$_POST["terms"]:"");
			
			$terms_error = 0;
			$msg_error = "";
			
			/*
			if (strlen($terms) == 0)
			{
				$terms_error++;
				$msg_error .= $_0100451_terms_empty."<br />";
			}		
			*/
			
			$total = $terms_error;
			
			if ($total == 0)
			{
				chmod("_assets/licence", 0777);
				unlink('_assets/licence/final_user_terms_use.txt');
				$file_ = fopen('_assets/licence/final_user_terms_use.txt', 'a+');
				fseek($file_, 0);
			    fputs($file_,stripslashes($terms)); 
			    fclose($file_);
				chmod("_assets/licence", 0755);
				$success = true;
			}
			else
			{
				$smarty->assign('error',$msg_error);
			}	
		}

		if ($settings == "mail")
		{
			$template = htmlspecialchars(isset($_GET["template"])?$_GET["template"]:"");
			$subject = htmlspecialchars(isset($_POST["subject"])?$_POST["subject"]:"");
			$body = htmlspecialchars(isset($_POST["body"])?$_POST["body"]:"");
			
			$mail_error = 0;
			$msg_error = "";
			
			if (strlen($subject) == 0)
			{
				$mail_error++;
				$msg_error .= "Erreur sujet non rempli"."<br />";
			}	
			
			if (strlen($body) == 0)
			{
				$mail_error++;
				$msg_error .= $_0100453_email_templ_empty."<br />";
			}		
			
			$total = $mail_error;
			
			$email = "[SUBJECT]\n";
			$email .= stripslashes($subject)."\n";
			$email .= "[/SUBJECT]\n";
			$email .= "[BODY]\n";
			$email .= stripslashes($body)."\n";
			$email .= "[/BODY]\n";
			
			if ($total == 0)
			{
				chmod("_assets/email_templates", 0777);
				unlink('_assets/email_templates/'.$LANGUAGE_ID."/".$template_mail[$template]['name']);
				$file_ = fopen('_assets/email_templates/'.$LANGUAGE_ID."/".$template_mail[$template]['name'], 'a+');
				fseek($file_, 0);
			    fputs($file_,$email); 
			    fclose($file_);
				chmod("_assets/email_templates", 0755);
				$success = true;
			}
			else
			{
				$smarty->assign('error',$msg_error);
			}	
		}

		if ($settings == "banners")
		{
			$banner_error = 0;
			$msg_error = "";
			
			if(strlen($_FILES['new']['name']) >0)
			{
				$position = strpos($_FILES['new']['name'], ".");
				$extension = substr($_FILES['new']['name'], ($position + 1), 4);
				if(strtolower($extension) != "gif" && strtolower($extension) != "jpg"){
						$banner_error++;
						$msg_error .= $_0100454_extens_notallowed."<br />";
				}else if(($_FILES['new']['size']<10) || ($_FILES['new']['size']>=500000)){
						$banner_error++;
						$msg_error .= $_0100455_too_heavy."<br />";
				}
				if ($banner_error == 0)
				{
					if(!copy($_FILES['new']['tmp_name'], "_assets/banners/".$_FILES['new']['name'])){
						$msg_error .= $_0100456_err_upload."<br />";
						$banner_error++;
					}	
				}
			}
			
			if ($banner_error > 0)
			{
				$smarty->assign('error',$msg_error);
			}

		}

		if ($settings == "thumbnails")
		{
			$thumbnails_error = 0;
			$msg_error = "";
			
			if(strlen($_FILES['new']['name']) >0)
			{
				$position = strpos($_FILES['new']['name'], ".");
				$extension = substr($_FILES['new']['name'], ($position + 1), 4);
				if(strtolower($extension) != "gif" && strtolower($extension) != "jpg"){
						$thumbnails_error++;
						$msg_error .= $_0100454_extens_notallowed."<br />";
				}else if(($_FILES['new']['size']<10) || ($_FILES['new']['size']>=200000)){
						$thumbnails_error++;
						$msg_error .= $_0100455_too_heavy."<br />";;
				}
				if ($thumbnails_error == 0)
				{
					if(!copy($_FILES['new']['tmp_name'], "_assets/media_files/".$_FILES['new']['name'])){
						$msg_error .= $_0100456_err_upload."<br />";
						$thumbnails_error++;
					}	
				}
			}
			
			if ($thumbnails_error > 0)
			{
				$smarty->assign('error',$msg_error);
			}

		}
		
	}	

	
	//Special Rewrite
	if(isset($_POST['active_rewrite']))
	{
		set_option("url_rewriting","1");
		$success = true;
	}
	
	//Special Rewrite
	if(isset($_POST['desactive_rewrite']))
	{
		set_option("url_rewriting","0");
		$success = true;
	}
	
	//Special Profil
	if(isset($_POST['submit_add_profil']))
	{
		$new_profil = htmlspecialchars(isset($_POST["txt_add"])?$_POST["txt_add"]:"");
		if($new_profil == "")
		{
			$smarty->assign('error',$_0100798_profile_empty);
			$smarty->assign('erreur_profil',true);
		}
		else
		{
			$query = "INSERT INTO smart_profil (profil_name) VALUES ('".$new_profil."')";
			mysql_query($query);
		}
	}

	if(isset($_POST['submit_edit_profil']))
	{
		$id_profil = htmlspecialchars(isset($_POST["edit_profil"])?$_POST["edit_profil"]:"");
		$new_profil = htmlspecialchars(isset($_POST["txt_edit_".$id_profil])?$_POST["txt_edit_".$id_profil]:"");
		if($new_profil == "")
		{
			$smarty->assign('error',$_0100798_profile_empty);
		}
		else
		{
			$query = "UPDATE smart_profil SET profil_name = '".$new_profil."' WHERE profil_id = ".$id_profil;
			mysql_query($query);
		}
	}
	
	//Print
	if($success == true)
	{
		$section = $name_section[$settings.$template];
		$smarty->assign('section', $section);	
		$smarty->assign('settings', $settings);	
		$smarty->assign('success', $success);	
		$smarty->display('global_settings2/header.tpl');	
		$smarty->display('global_settings2/success.tpl');	
		$smarty->display('global_settings2/footer.tpl');			
	}
	else
	{
	
	
		if($settings == "mobile")
		{
			$smarty->assign('mob_log_link',get_option("mob_log_link"));
			$smarty->assign('mob_welcome',get_option("mob_welcome"));
			$smarty->assign('mob_newness',get_option("mob_newness"));
			$smarty->assign('mob_folder',get_option("mob_folder"));
			$smarty->assign('mob_search',get_option("mob_search"));
			$smarty->assign('mob_import_notice',get_option("mob_import_notice"));
		}
	
	
		if($settings == "backup")
		{
			if(isset($_GET['active_backup']))
			{
				mkdir($WWW_SECURITY."db_backup");
				mkdir($WWW_SECURITY."config_backup");
				$inifile = '_config/config.inc.php';
				set_infile ( $inifile , '$BACK_UP_ACTIVATION', "true",";" );
				$BACK_UP_ACTIVATION = true;
			}
			#Dump______________________________________________________________
			if($_GET['dump'] == 'yes' && $BACK_UP_ACTIVATION == true)
			{
				if (dump_db("dump_".$DB_NAME."_".date('d_m_Y_H_i').".sql") !== false)
				{
					$dump_is_ok = true;
				}
				else
				{
					$dump_is_ok = false;
				}
				$smarty->assign('dump_is_ok',$dump_is_ok);
			}
			$smarty->assign('MAINTAIN_EMAIL',$MAINTAIN_EMAIL);
			$smarty->assign('BEFORE_WWW', $BEFORE_WWW);
			$smarty->assign('BACK_UP_ACTIVATION', $BACK_UP_ACTIVATION);
			$smarty->assign('code', $MAINTENANCE_CODE);
		}
		
		if($settings == "quota")
		{
			$smarty->assign('MAX_DISK_SPACE',($D_S/1024));
			$smarty->assign('MAX_SIZE_UPLOAD',$MAX_SIZE_UPLOAD);
		}
		
	
		if($settings == "ssl_mode")
		{
			$ssl_info = "";
			$fd=fopen("_assets/ssl_info.txt","r");
			while(!feof($fd))
			{
				$ssl_info .= fgets($fd,4096);
			}
			fclose($fd);
			$smarty->assign('ssl_info', $ssl_info);	
			$smarty->assign('SSL', $SSL);
		}

		if($settings == "mu_java")
		{
/* 			$smarty->assign('ACTIVE_MU',$ACTIVE_MU);
			$smarty->assign('FTP_HOST',$FTP_HOST);
			$smarty->assign('FTP_USER',$FTP_USER);
			$smarty->assign('FTP_PWD',$FTP_PWD); */
			$smarty->assign('FTP_PATH', $FTP_PATH);	
		}
	
		if($settings == "loginpage")
		{
			$smarty->assign('img_pad', get_option("img_pad"));
			$smarty->assign('back_img_pad', get_option("back_img_pad"));
			$smarty->assign('back_color_pad', get_option("back_color_pad"));
			$smarty->assign('superimposed_img_pad', get_option("superimposed_img_pad"));
			$smarty->assign('copyright_mention_1', htmlentities($COPYRIGHT_MENTION_1));
		}
	
		if ($settings == "profil")
		{
			if(isset($_GET['delete']))
			{
				mysql_query("DELETE FROM smart_profil WHERE profil_id = ".$_GET['delete']);
				if(dlookup("count(*)","smart_profil","") == 0)
				{
					set_option("activate_profil",0);
				}
			}
			
			if(isset($_GET['deleteall']))
			{
				mysql_query("DELETE FROM smart_profil");
				mysql_query("DELETE FROM smart_document_profil");
				mysql_query("UPDATE smart_document SET direction_only = '0'");
				if(dlookup("count(*)","smart_profil","") == 0)
				{
					set_option("activate_profil",0);
				}
				mysql_query("UPDATE smart_user SET profil = 0");
			}
		
			$smarty->assign('ACTIVATE_PROFIL', get_option("activate_profil"));
			
			#Liste profil
			$query_profil = "SELECT profil_id, profil_name FROM smart_profil ORDER BY profil_name";
			$results_profil = mysql_query($query_profil);
			$i = 0;
			while ($row_profil = mysql_fetch_array($results_profil)){
				$result_profil[$i] = $row_profil;
				$result_profil[$i]['delete'] = true;
				if((dlookup("count(*)","smart_user","profil=".$row_profil['profil_id']) + dlookup("count(*)","smart_document_profil","profil_id=".$row_profil['profil_id'])) > 0)
				{
					$result_profil[$i]['delete'] = false;
				}
				$i++;
			}
			$smarty->assign('result_profil',$result_profil);
			$smarty->assign('nb_profil',$i);
			
			#Nb profil attribue a un user + nb profil attribuer a un doc
			$nb_profil_attrib = dlookup("count(*)","smart_user","profil > 0") + dlookup("count(*)","smart_document_profil","");
			$smarty->assign('nb_profil_attrib',$nb_profil_attrib);
		}
	
		if ($settings == "statistics")
		{
			#order by ?
			$orderby = htmlspecialchars(isset($_GET["orderby"])?$_GET["orderby"]:"id");
			$orderbytype = htmlspecialchars(isset($_GET["orderbytype"])?$_GET["orderbytype"]:"SORT_NUMERIC");
			
			#query
			$query_extranet = "SELECT id, name, def, status FROM smart_extranet ORDER BY name";
			$results_extranet = mysql_query($query_extranet);
			$i = 0;
			$total_infos['nb_users'] = dlookup("count(*)","smart_user_accesses","");
			$total_infos['connexion'] = dlookup("count(*)","smart_log","action = 'login_success'");
			$total_infos['nb_docs'] = dlookup("count(*)","smart_document","is_directory = '0' ");
			$total_infos['nb_docs_click'] = dlookup("count(*)","smart_log","action = 'doc_see'");
			$total_infos['nb_log_err'] = dlookup("count(*)","smart_log","action = 'login_failed'");
			$total_infos['nb_comment'] = dlookup("count(*)","smart_comment","");
			while ($row_extranet = mysql_fetch_array($results_extranet)){
				$result_extranet[$i] = $row_extranet;
				$total = dir_space($WWW_SECURITY.'storage/' . $row_extranet['id'])/1024;
				$result_extranet[$i]["total"] = $total;
				if ($total<1024){
					$disk_usage = round($total,2) . " $_0100136_KB";
				}
				else{
					$disk_usage = number_format($total / 1024, 2, '.', ' ');
					$disk_usage = "$disk_usage" . " $_0100078_mb";
				};
				$result_extranet[$i]["used_space"] = $disk_usage;
				$result_extranet[$i]["nb_users"] = dlookup("count(*)","smart_user_accesses","extranet_id = ".$row_extranet['id']);
				$result_extranet[$i]["connexion"]= dlookup("count(*)","smart_log","action = 'login_success' and extranet_id = ".$row_extranet['id']);
				$last_connexion = dlookup("time","smart_log","action = 'login_success' and extranet_id = ".$row_extranet['id']." ORDER BY time desc limit 0,1");
				$result_extranet[$i]["last_connexion_ts"]= $last_connexion ;
				$today = mktime(0, 0, 0, date('m'), date('d'), date('Y'));
				if ($today > $last_connexion)
				{
					if ($last_connexion > 0)
					{
						$nb = $today - $last_connexion;
						$nb = ceil($nb/86400);
						$result_extranet[$i]["last_connexion"]= $nb." $_0100457_days" ;
					}
					else
					{
						$result_extranet[$i]["last_connexion"]= "0 $_0100458_login" ;
					}
				}
				else
				{
					$result_extranet[$i]["last_connexion"]= "$_0100459_today" ;
				}
				$result_extranet[$i]["nb_docs"]= dlookup("count(*)","smart_document","is_directory = '0' and extranet_id = ".$row_extranet['id']);
				$result_extranet[$i]["nb_docs_click"]= dlookup("count(*)","smart_log","action = 'doc_see' and extranet_id = ".$row_extranet['id']);
				$result_extranet[$i]["nb_log_err"]= dlookup("count(*)","smart_log","action = 'login_failed' and extranet_id = ".$row_extranet['id']);
				$result_extranet[$i]["nb_comment"]= dlookup("count(*)","smart_comment inner join smart_document ON smart_comment.document_id = smart_document.id","extranet_id = ".$row_extranet['id']);
				$i++;
			}
			
			$result_extranet = arrayColumnSort($orderby, SORT_ASC, $orderbytype, $result_extranet);
			
			$smarty->assign('nb_extranet',$i);
			$smarty->assign('orderby',$orderby);
			$smarty->assign('result_extranet',$result_extranet);
			$smarty->assign('total_infos',$total_infos);
			
			
		}
	
		if ($settings == "company")
		{
			#if provenance is extranet title
			$return = htmlspecialchars(isset($_GET["return"])?$_GET["return"]:0);
			$smarty->assign('return', $return);
			
			$smarty->assign('COMPANY_NAME', $COMPANY_NAME);
			$smarty->assign('PRINT_BANNER', $PRINT_BANNER);
			
		}

		if ($settings == "expeditor")
		{
			#if provenance is extranet title
			$return = htmlspecialchars(isset($_GET["return"])?$_GET["return"]:0);
			$smarty->assign('return', $return);
			
			$smarty->assign('POSTMASTER_NAME', $POSTMASTER_NAME);
			$smarty->assign('POSTMASTER_EMAIL', $POSTMASTER_EMAIL);
			
		}
		
		if($settings == "social")
		{
			$smarty->assign('USER_COMMENTS', $USER_COMMENTS);
			$smarty->assign('ACTIVATE_SKYPE', get_option("ACTIVATE_SKYPE"));
		}
		
		if($settings == "gmap")
		{
			$smarty->assign('code_google', get_option("code_google"));
		}		
		
		if ($settings == "function")
		{
			$smarty->assign('FIRST_DIR', $FIRST_DIR);
			$smarty->assign('SITE_ROOT', $SITE_ROOT);
		
			$query_extranet = "SELECT id, name, def FROM smart_extranet WHERE status = 'open'";
			$results_extranet = mysql_query($query_extranet);
			$i = 0;
			while ($row_extranet = mysql_fetch_array($results_extranet)){
				$result_extranet[$i] = $row_extranet;
				$result_extranet[$i]["id"] = $row_extranet["id"];
				$result_extranet[$i]["name"] = $row_extranet["name"];
				$result_extranet[$i]["def"]= $row_extranet["def"];
				$i++;
			}
			$smarty->assign('nb_extranet',$i);
			$smarty->assign('result_extranet',$result_extranet);
		}

		if ($settings == "timezone")
		{
			$smarty->assign('LANGUAGE_ID', $LANGUAGE_ID);
			$smarty->assign('LIST_LANGUAGE', $LIST_LANGUAGE);
			$smarty->assign('DATE_FORMAT', get_option("date_format"));
			$smarty->assign('TIME_FORMAT', get_option("time_format"));
			$smarty->assign('DAYLIGHT_SAVING', $DAYLIGHT_SAVING);
			$smarty->assign('TIME_ZONE', $TIME_ZONE);
			$smarty->assign('TIME_ZONE', $TIME_ZONE);
		}		
		
		if ($settings == "c_rights")
		{
			#if provenance is extranet title
			//$return = htmlspecialchars(isset($_GET["return"])?$_GET["return"]:0);
			//$smarty->assign('return', $return);
			
			$smarty->assign('USER_ADD_DOC', $USER_ADD_DOC);
			$smarty->assign('DIRECT_LINK', $DIRECT_LINK);
			$smarty->assign('DIRECT_LINK_LIFE', $DIRECT_LINK_LIFE);
			$smarty->assign('pwd_type', get_option("pwd_type"));

			
		}
		
		if ($settings == "terms")
		{
			$terms = "";
			$fd=fopen("_assets/licence/final_user_terms_use.txt","r");
			while(!feof($fd))
			{
				$terms .= fgets($fd,4096);
			}
			fclose($fd);
			$smarty->assign('terms', $terms);			
		}
		
		if ($settings == "mail")
		{
			$template = htmlspecialchars(isset($_GET["template"])?$_GET["template"]:"");

			$content = "";
			$fd=fopen("_assets/email_templates/".$LANGUAGE_ID."/".$template_mail[$template]['name'] ,"r");
			$body_email = "";
			$subject = false;
			$body = false;

			while(!feof($fd)){
				$line = fgets($fd,4096);

				if (strpos($line,"[/SUBJECT]") !== false) {
					$subject = false;
				}
				if (strpos($line,"[/BODY]") !== false) {
					$body = false;
				}
				if ($subject == true) {
					$subject_email = $line;
				}
				if ($body == true) {
					$body_email .= $line;
				}
				if (strpos($line,"[SUBJECT]") !== false) {
					$subject = true;
				}
				if (strpos($line,"[BODY]") !== false) {
					$body = true;
				}
			}
			fclose($fd);
			
			$smarty->assign('subject',$subject_email);		
			$smarty->assign('content',$body_email);		
			$smarty->assign('template', $template);	
			$smarty->assign('help', $template_mail[$template]['help'] );	
		}
		
		if ($settings == "banners")
		{
			$dir = "_assets/banners/";
			$dir_res = opendir($dir);
			$banners = array();
			$i = 0;
			while ($content = readdir($dir_res)) 
			{
					if ($content != "." && $content != ".." && !is_dir($content) && $content != "Thumbs.db") 
					{
						$banners[$i] = $content;
						$i++;
					}
			}
			$smarty->assign('banners', $banners);	
		}

		if ($settings == "thumbnails")
		{
			
			$query_u = "SELECT id, first_name, last_name,company FROM smart_user WHERE media_link = ''";
			$results_u = mysql_query($query_u);
			$i = 0;
			while ($row_u = mysql_fetch_array($results_u)){
				$result_u[$i] = $row_u;
				$result_u[$i]["id"] = $row_u["id"];
				$result_u[$i]["name"] = utf8_decode($row_u["last_name"] . " " . $row_u["first_name"]);
				if (strlen($row_u["company"]) > 0)
				{
					$result_u[$i]["name"] = $result_u[$i]["name"] . utf8_decode(" (" . $row_u["company"] . ")");
				}
				$i++;
			}
			$smarty->assign('result_user',$result_u);
			
			$dir = "_assets/media_files/";
			$dir_res = opendir($dir);
			$thumbnails = array();
			$i = 0;
			while ($content = readdir($dir_res)) 
			{
					if ($content != "." && $content != ".." && !is_dir($content)) 
					{
						$thumbnails[$i]['name'] = $content;
						$position = strpos($content, ".");
						$thumbnails[$i]['ext'] = strtolower(substr($content, ($position + 1), 4));
						$query_nr = "SELECT COUNT(*)
												FROM smart_user
												WHERE media_link='" . $thumbnails[$i]['name'] . "'";
								$result_nr = mysql_query($query_nr);
								$row_ = mysql_fetch_row($result_nr);
						$thumbnails[$i]['exist'] =  $row_[0];
						if ($thumbnails[$i]['exist'] > 0)
						{
							$query_nr = "SELECT id,first_name, last_name,company  
													FROM smart_user
													WHERE media_link='" . $thumbnails[$i]['name'] . "'";
									$result_nr = mysql_query($query_nr);
									$row_ = mysql_fetch_row($result_nr);							
						$thumbnails[$i]['owner'] =  $row_[0];
						$thumbnails[$i]['owner_name'] =  utf8_decode($row_[2] . " " . $row_[1]);
							if (strlen($row_[3]) > 0)
							{
								$thumbnails[$i]['owner_name'] =  $thumbnails[$i]['owner_name'] . utf8_decode(" (" . $row_[3] . ")");
							}
						}
						$i++;
					}
			}
			$smarty->assign('thumbnails', $thumbnails);	
		}
	$section = $name_section[$settings.$template];
	$smarty->assign('section', $section);	
	$smarty->assign('settings', $settings);	
	$smarty->assign('ANIM_FLASH_4', $ANIM_FLASH_4);	
	$smarty->display('global_settings2/header.tpl');	
	$smarty->display('global_settings2/'.$settings.'.tpl');	
	$smarty->display('global_settings2/footer.tpl');	
	}
}
else
{
	$smarty->assign('message', $access_error[-4]);
	$img_pad = get_option("img_pad");
	$back_img_pad = get_option("back_img_pad");
	$back_color_pad = get_option("back_color_pad");
	$superimposed_img_pad = get_option("superimposed_img_pad");
	$smarty->assign('img_pad', $img_pad);
	$smarty->assign('back_img_pad', $back_img_pad);
	$smarty->assign('back_color_pad', $back_color_pad);
	$smarty->assign('superimposed_img_pad', $superimposed_img_pad);
	$smarty->display('error.tpl');
	}
?>
