<?php
/*************************************************************************/
/* Smart Extranet  2004-2010. All right reserved.www.smart-extranet.com */
/*************************************************************************/

//ini_set('error_reporting', E_ALL);
$cryptinstall="_include/crypt/cryptographp.fct.php";
include $cryptinstall;  

ini_set('error_reporting', E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR);

session_start();

#smarty
require '_php/smarty/libs/Smarty.class.php';

#realpath of www directory
$www_path = str_replace("\\", '/', realpath("../"));

#smarty settings
$smarty = new Smarty;

$smarty->compile_check = true;
$smarty->debugging = false;

$smarty->compile_dir = "_cache/";
$smarty->template_dir = "_templates/";

include("_config/config.inc.php");
include("_config/obconfig.inc.php");
include("_config/trialconfig.inc.php");
include("_include/functions.inc.php");
include("_lang/lang.inc.php");
include("_include/connect.inc.php");

$SMARTY_PATH = calculate_smarty_path();
$smarty->assign('PATH', $SMARTY_PATH);

#path
$path = "";
$parent_id = 0;

#assign path
$smarty->assign('php_path', $path);


#ADWORDS

$ADWORDS = "";
$fd=fopen("_assets/adwords.txt","r");
while(!feof($fd))
{
	$linie=fgets($fd,4096);
	$ADWORDS .= $linie;
}
fclose($fd);
$smarty->assign('ADWORDS',$ADWORDS);	


if ($NB_INSTALL == 2)
{	

#ip
if(isset($_SERVER['HTTP_X_FORWARDED_FOR'])) 
	{
		$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	}
	elseif(isset($_SERVER['HTTP_CLIENT_IP'])) 
		{
		  $ip  = $_SERVER['HTTP_CLIENT_IP'];
		}
		else 
		{
		  $ip = $_SERVER['REMOTE_ADDR'];
		}
$smarty->assign('IP', $ip );

#Conditionnal Display
if (strlen($TRIAL_MANAGEMENT_CODE) > 0)
	{
		$smarty->assign('code_init', true);
	}
	else
	{
		$smarty->assign('code_init', false);
	}
if (strlen($TRIAL_BACKLINK) > 0)
	{
		$smarty->assign('TRIAL_BACKLINK', $TRIAL_BACKLINK);
		$smarty->assign('backlink', true);
	}	

if (strlen($TRIAL_FORM_INTRODUCTION) > 0)
	{
		$smarty->assign('TRIAL_FORM_INTRODUCTION', $TRIAL_FORM_INTRODUCTION);
		$smarty->assign('intro', true);
	}	

	
if (strlen($TRIAL_FIELD1_LABEL) > 0 && strlen($TRIAL_FIELD1_VALUES) > 0)
	{
		$smarty->assign('field1', true);
		$field1 = true;
		$smarty->assign('TRIAL_FIELD1_LABEL', $TRIAL_FIELD1_LABEL);
		$TRIAL_FIELD1_VALUES_ = explode(";", $TRIAL_FIELD1_VALUES);
		array_unshift ($TRIAL_FIELD1_VALUES_, "");
		$smarty->assign('TRIAL_FIELD1_VALUES',$TRIAL_FIELD1_VALUES_);
	}	

if (strlen($TRIAL_FIELD2_LABEL) > 0 && strlen($TRIAL_FIELD2_VALUES) > 0)
	{
		$smarty->assign('field2', true);
		$field2 = true;
		$smarty->assign('TRIAL_FIELD2_LABEL', $TRIAL_FIELD2_LABEL);
		$TRIAL_FIELD2_VALUES_ = explode(";", $TRIAL_FIELD2_VALUES);
		array_unshift ($TRIAL_FIELD2_VALUES_, "");
		$smarty->assign('TRIAL_FIELD2_VALUES', $TRIAL_FIELD2_VALUES_);
	}	

	#Application install ?
	if(strlen($TRIAL_MANAGEMENT_CODE) > 0 && get_option("init_flag") == "1")
	{

	#Validation request Form
	if(isset($_POST['submit_request']))
		{
			$company = htmlspecialchars(isset($_POST["txt_company"])?$_POST["txt_company"]:'');
			$title = htmlspecialchars(isset($_POST["ddl_title"])?$_POST["ddl_title"]:'');
			$fname = htmlspecialchars(isset($_POST["txt_fname"])?$_POST["txt_fname"]:'');
			$lname = htmlspecialchars(isset($_POST["txt_lname"])?$_POST["txt_lname"]:'');
			$email = htmlspecialchars(isset($_POST["txt_email"])?$_POST["txt_email"]:'');
			$tel = htmlspecialchars(isset($_POST["txt_tel"])?$_POST["txt_tel"]:'');
			$www = htmlspecialchars(isset($_POST["txt_www"])?$_POST["txt_www"]:'');
			if ($field1 == true)
			{
				$f1 = htmlspecialchars(isset($_POST["ddl_field1"])?$_POST["ddl_field1"]:'');
			}
			if ($field2 == true)
			{
				$f2 = htmlspecialchars(isset($_POST["ddl_field2"])?$_POST["ddl_field2"]:'');
			}
			$code = htmlspecialchars(isset($_POST["txt_code"])?$_POST["txt_code"]:'');
			
			$nb_error = 0;
			$error = '';
			
			if (strlen($fname) == 0)
				{
					$nb_error++;
					$error .= $_0100441_first_empty."<br />";
				}	
				
			if (strlen($lname) == 0)
				{
					$nb_error++;
					$error .= $_0100027_error_lastname."<br />";
				}	
			if (strlen($email) == 0 OR validate_email($email) == false)
				{
					$nb_error++;
					$error .= $_0100029_email_invalid."<br />";
				}	
				else
				{
					if((dlookup("count(*)","smart_request","email = '".$email."'") > 0) OR (dlookup("count(*)","smart_user","email = '".$email."'") > 0))
						{
							$nb_error++;
							$error .= $_0100520_email_err."<br />";
						}
				}
			if (!chk_crypt($code)) 
				{
					$nb_error++;
					$error .= $_0100543_err_secu_code."<br />";
				}
			
			if (substr($www,0,4) != 'http')
				{
					$www = 'http://'.$www;
				}	
			

			$smarty->assign('company', $company);
			$smarty->assign('title', $title);
			$smarty->assign('fname', $fname);
			$smarty->assign('lname', $lname);
			$smarty->assign('email', $email);
			$smarty->assign('tel', $tel);
			$smarty->assign('www', $www);
			$smarty->assign('f1', $f1);
			$smarty->assign('f2', $f2);
			
			if($nb_error == 0)
				{
					#intert into database
					if ($TRIAL_ACCESS_USER == 'Auto')
						{
							$status = "waiting";
						}
						else
						{
							$status = "new";
						}
				
					$date_request = zonedate('Y-m-d H:i:s',$TIME_ZONE,$DAYLIGHT_SAVING);

					
					$query = "INSERT INTO smart_request (company,title,fname,lname,email,tel,www,f1,f2,ip,status,date_request) VALUES (
								'".$company."',
								'".$title."',
								'".$fname."',
								'".$lname."',
								'".$email."',
								'".$tel."',
								'".$www."',
								'".$f1."',
								'".$f2."',
								'".$ip."',
								'".$status."',
								'".$date_request."')";
					mysql_query($query);
				

					#email confirmation
					
					$tags['SITE_ROOT'] = $SITE_ROOT;
					$tags['PRODUCT_NAME'] = $PRODUCT_NAME;
					$tags['get'] = "trial.php?email=".urlencode($email)."&licence=".urlencode(md5($SERIAL_NUMBER.$email));
					$tags['fname'] = $fname;
					$tags['lname'] = $lname;
					$tags['company'] = $company;
					$tags['IP'] = $ip;
					$tags['date_request'] = date('d/m/Y H:i', strtotime($date_request));
					$tags['title'] = $title;
					$tags['email'] = $email;
					$tags['tel'] = $tel;
					$tags['www'] = $www;
					$tags['f1'] = $f1;
					$tags['f2'] = $f2;
					
					if ($TRIAL_ACCESS_USER == 'Auto')
						{
							//$to[0] = $email;
							//send_email("trial_link",$to,$TRIAL_MANAGEMENT_EMAIL,$COMPANY_NAME,false,$tags);
							$to[0] = $TRIAL_MANAGEMENT_EMAIL;
							$from = "".$title." ".$fname." ".$lname." ".$company."";
							send_email("trial_manager",$to,$email,$from,false,$tags);
							$header = $tags['get'];
							header('location: '.$header);
						}
						else
						{
							$to[0] = $TRIAL_MANAGEMENT_EMAIL;
							$from = "".$title." ".$fname." ".$lname." ".$company."";
							send_email("trial_validation",$to,$email,$from,false,$tags);
						}
						
					#ok, message of confirmation	
					$smarty->assign('ok', true);
					if (strlen($TRIAL_USER_MESSAGE) > 0)
						{
							$smarty->assign('TRIAL_USER_MESSAGE', $TRIAL_USER_MESSAGE);
						}
						else
						{
							if ($TRIAL_ACCESS_USER == 'Auto')
								{
									
									/*$smarty->assign('TRIAL_USER_MESSAGE', $_0100545_info_activ_link);*/
								}
								else
								{
									$smarty->assign('TRIAL_USER_MESSAGE', $_0100546_so_what);
								}
						}
					
					
				}
			
		}		
		


			
	$smarty->assign('error', $error);
	array_unshift ($USER_TITLES, "");
	$smarty->assign('USER_TITLES', $USER_TITLES);

	$smarty->assign('title_page', $PRODUCT_NAME." - ".$TRIAL_TITLE_REQUEST);
	$smarty->assign('request', 0);
	$smarty->assign('title_ban', $TRIAL_TITLE_REQUEST);
	$smarty->assign('banner', "banner_registration.jpg");

	$smarty->assign('page', 'request');
	$smarty->assign('display', 'request');


	$smarty->display('trial/header.tpl');
	$smarty->display('trial/request.tpl');
	$smarty->display('trial/footer.tpl');

	}
	else
	{
	# Error, Application not install
		$smarty->assign('label_error',$_0100140_error_pagetitle);
		$smarty->assign('message',$_0100501_instal_first);
		$smarty->display("error.tpl");
	}

}
else
{
	$smarty->assign('label_error', $_0100140_error_pagetitle);
	$smarty->assign('message', $_0100409_noright_adress);
	$img_pad = get_option("img_pad");
	$back_img_pad = get_option("back_img_pad");
	$back_color_pad = get_option("back_color_pad");
	$superimposed_img_pad = get_option("superimposed_img_pad");
	$smarty->assign('img_pad', $img_pad);
	$smarty->assign('back_img_pad', $back_img_pad);
	$smarty->assign('back_color_pad', $back_color_pad);
	$smarty->assign('superimposed_img_pad', $superimposed_img_pad);

	$smarty->display('error.tpl');	
}

?>
